diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index c5de2040f7..f46ec34449 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -1622,6 +1622,18 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
      parameter of <command>CREATE PUBLICATION</command>).
     </para>
    </listitem>
+
+   <listitem>
+    <para>
+     If the published table specifies
+     <link linkend="sql-altertable-replica-identity-full"><literal>REPLICA IDENTITY FULL</literal></link>
+     but the table includes an attribute whose datatype is not an operator
+     class of Btree, then <literal>UPDATE</literal> and <literal>DELETE</literal>
+     operations cannot be replicated. To make it work, a primary key should be
+     defined on the subscriber table, or a different appropriate replica
+     identity must be specified.
+    </para>
+   </listitem>
   </itemizedlist>
  </sect1>
 
